# Module `wibox.widget.background`

### Info:

- Author: Uli Schlachter
- Copyright: 2010 Uli Schlachter
- Release: v3.5.1

## Functions

background:draw (wibox, cr, width, height) | Draw this widget
background:fit (width, height) | Fit this widget into the given area
background:set_widget (widget) | Set the widget that is drawn on top of the background
background:set_bg (bg) | Set the background to use
background:set_fg (fg) | Set the foreground to use
background:set_bgimage (image) | Set the background image to use
new (widget, bg) | Returns a new background layout.

## Functions

background:draw (wibox, cr, width, height)
  Draw this widget

  ### Parameters:

  - wibox
  - cr
  - width
  - height
background:fit (width, height)
  Fit this widget into the given area

  ### Parameters:

  - width
  - height
background:set_widget (widget)
  Set the widget that is drawn on top of the background

  ### Parameters:

  - widget
background:set_bg (bg)
  Set the background to use

  ### Parameters:

  - bg
background:set_fg (fg)
  Set the foreground to use

  ### Parameters:

  - fg
background:set_bgimage (image)
  Set the background image to use

  ### Parameters:

  - image
new (widget, bg)
  Returns a new background layout. A background layout applies a background and foreground color to another widget.

  ### Parameters:

  - widget The widget to display (optional)
  - bg The background to use for that widget (optional)

generated by LDoc 1.3